Subject: bug#10053: Wrong use of minibuffer-completion-table in tmm-add-prompt

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Nov 2011 08:32:54 -0500

> I still not understand the purpose of `tmm-add-prompt', what does it
> want to complete here? A list of buffers? Why?

It expects the completion table to contain all the menu entries
previously build by tmm-prompt.

> Your patch works with `anything-completion-mode' disabled, but as soon i
> turn it on, `tmm-add-prompt' is called and same error occur:

> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (wrong-type-argument listp closure)
>   car(closure)
>   mapcar(car (closure (t) (&rest args)
> [...]
>   tmm-add-prompt()
> --8<---------------cut here---------------end--------------->8---

Please show the complete stack trace.

        Stefan